## bleak-retry-connector 4.4.3

=== docs/requirements.txt ===
# Documentation dependencies
# This file is used by ReadTheDocs to install dependencies
# These match the poetry docs group dependencies

myst-parser>=4.0.1
sphinx-rtd-theme>=3.0.2
sphinx>=8

## bleak-retry-connector 3.5.0

=== debian/changelog ===
bleak-retry-connector (3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Apr 2024 07:12:35 +0100

bleak-retry-connector (3.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1065537)

 -- Edward Betts <edward@4angle.com>  Wed, 06 Mar 2024 11:14:38 +0100

=== debian/control ===
Source: bleak-retry-connector
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bluetooth-adapters <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-asyncio <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/bluetooth-devices/bleak-retry-connector
Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak-retry-connector
Vcs-Git: https://salsa.debian.org/python-team/packages/bleak-retry-connector.git

Package: python3-bleak-retry-connector
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Connector for Bleak Clients that handles transient connection failures
 Provides a robust connector for Bleak clients, aimed at enhancing Bluetooth
 communication stability in Python applications. Intelligently handles
 transient connection failures by implementing retry mechanisms, thereby
 improving the reliability of Bluetooth connections. Designed for developers
 working on Bluetooth applications, simplifies the process of managing
 connections to BLE devices, especially in environments where connectivity may
 be prone to interruptions.
 .
 Key features include:
 .
   - Automatic retry on connection failure, reducing the need for manual
     reconnection logic.
   - Configurable retry attempts and backoff strategies, allowing for
     customisation based on specific use case requirements.
   - Compatibility with the latest versions of Bleak, ensuring up-to-date
     support for BLE communication.
   - Easy integration into existing Python projects using Bleak for Bluetooth
     communication.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bleak-retry-connector

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bleak_retry_connector.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bleak-retry-connector-$1\.tar\.gz/ \
  https://github.com/bluetooth-devices/bleak-retry-connector/tags .*/v?(\d\S+)\.tar\.gz

## bleak-retry-connector 3.6.0

=== debian/changelog ===
bleak-retry-connector (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Oct 2024 09:02:15 +0100

## bleak-retry-connector 3.8.1

=== debian/changelog ===
bleak-retry-connector (3.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 07 Feb 2025 09:12:25 +0000

bleak-retry-connector (3.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 22 Jan 2025 15:30:41 +0000

bleak-retry-connector (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 20 Jan 2025 05:49:58 -0600

## bleak-retry-connector 3.9.0

=== debian/changelog ===
bleak-retry-connector (3.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 20 Feb 2025 07:10:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: bleak-retry-connector
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-bluetooth-adapters <!nocheck>,
-               python3-poetry-core,
-               python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-pytest-asyncio <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-bluetooth-adapters <!nocheck>,
+ python3-poetry-core,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bluetooth-devices/bleak-retry-connector
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak-retry-connector
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak-retry-connector.git
 
 Package: python3-bleak-retry-connector
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Connector for Bleak Clients that handles transient connection failures
  Provides a robust connector for Bleak clients, aimed at enhancing Bluetooth
  communication stability in Python applications. Intelligently handles

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 @,

## bleak-retry-connector 3.10.0

=== debian/changelog ===
bleak-retry-connector (3.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on python3-bleak (closes: #1102380).

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Apr 2025 13:53:02 +0100

bleak-retry-connector (3.10.0-2) unstable; urgency=medium

  * Add missing dependency on python3-bluetooth-adapters.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Apr 2025 06:56:33 +0100

bleak-retry-connector (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Stop generating test coverage report.

 -- Edward Betts <edward@4angle.com>  Sat, 05 Apr 2025 07:35:20 +0100

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,17 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/bluetooth-devices/bleak-retry-connector
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak-retry-connector
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak-retry-connector.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-bleak-retry-connector
 Architecture: all
 Depends:
+ python3-bleak,
+ python3-bluetooth-adapters,
  ${misc:Depends},
  ${python3:Depends},
 Description: Connector for Bleak Clients that handles transient connection failures

## bleak-retry-connector 4.0.0

=== debian/changelog ===
bleak-retry-connector (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now requires python3-bluetooth-adapters (>= 2.0.0).

 -- Edward Betts <edward@4angle.com>  Thu, 03 Jul 2025 12:51:13 +0100

## bleak-retry-connector 4.4.3

=== debian/changelog ===
bleak-retry-connector (4.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 30 Aug 2025 13:53:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-bluetooth-adapters <!nocheck>,
+ python3-bluetooth-adapters (>= 2.0.0) <!nocheck>,
  python3-poetry-core,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,

=== debian/watch ===
version=4
https://github.com/bluetooth-devices/bleak-retry-connector/tags .*/v?(\d\S+)\.tar\.gz

## bleak-retry-connector 4.4.4

=== debian/changelog ===
bleak-retry-connector (4.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 14 Nov 2025 06:48:45 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/bluetooth-devices/bleak-retry-connector
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak-retry-connector

=== debian/watch ===
Version: 5

Template: Github
Owner: bluetooth-devices
Project: bleak-retry-connector

## bleak-retry-connector 4.5.0

=== debian/changelog ===
bleak-retry-connector (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now supports bleak 2, drop patch.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 11 Jan 2026 21:55:47 +0000

bleak-retry-connector (4.4.4-2) unstable; urgency=medium

  * Patch to support new version of bleak.

 -- Edward Betts <edward@4angle.com>  Sun, 14 Dec 2025 09:20:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bluetooth-devices/bleak-retry-connector
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bleak-retry-connector
 Vcs-Git: https://salsa.debian.org/python-team/packages/bleak-retry-connector.git
@@ -23,7 +22,7 @@
 Package: python3-bleak-retry-connector
 Architecture: all
 Depends:
- python3-bleak,
+ python3-bleak (>= 2),
  python3-bluetooth-adapters,
  ${misc:Depends},
  ${python3:Depends},
